function [Out] = h5print(filename)

  function [out] = h5printR(D,leading)
    
      keys = fieldnames(D);
      nbkeys = numfields(D);
      
    	for keyn = 1:nbkeys
        %Check if it is a dataset to print something different
         if ~isstruct(D.(keys{keyn}))
          fprintf([leading keys{keyn} ': '  int2str(size(D.(keys{keyn}))) '\n']);
        else
          fprintf([leading keys{keyn} '\n']);
          h5printR(D.(keys{keyn}), [leading '  ']);
        end
      end
      
  endfunction
  
  doric = load(filename);
  fprintf([filename '\n']);
  h5printR(doric," ");
  
end