function [Out] = ExtractDataAcquisition(filename)



function[Dataset] = h5getDatasetR(Doric, leading)

  keys = fieldnames(Doric);
  nbkeys = numfields(Doric);
  Dataset = [];
  
    for keyn = 1:nbkeys
      % First have to check if the next layer is a dataset or not
      nextDtmp = Doric.(keys{keyn});
      firstkey = fieldnames(nextDtmp){1};
      if ~isstruct(nextDtmp.(firstkey))
        %if the next layer is a datasets extact all the data of the different next layer 
          keysnext = fieldnames(nextDtmp);
          nbkeysnext = numfields(nextDtmp);
          Dataset_tmp = [];
             for next = 1:nbkeysnext
               Dataset_tmp(next).Name = keysnext{next};
               Dataset_tmp(next).Data = nextDtmp.(keysnext{next});
             endfor
       Dataset(keyn).Name = [leading '_' keys{keyn}];
       Dataset(keyn).Data = Dataset_tmp;
      else
       Dataset = [Dataset h5getDatasetR(Doric.(keys{keyn}),[leading '_' keys{keyn}])]
      endif
    endfor

endfunction

% Extact Data from a doric file
  dor = load(filename);	
  Out =  h5getDatasetR(dor.DataAcquisition,filename)



end